## GtkWindowGroup

GtkWindowGroup — Limit the effect of grabs

## Functions

GtkWindowGroup * | gtk_window_group_new ()
void | gtk_window_group_add_window ()
void | gtk_window_group_remove_window ()
GList * | gtk_window_group_list_windows ()
GtkWidget * | gtk_window_group_get_current_grab ()

## Types and Values

struct | GtkWindowGroup

## Object Hierarchy

        GObject
        ╰── GtkWindowGroup

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_window_group_new ()

    GtkWindowGroup *
    gtk_window_group_new (void);

Creates a new GtkWindowGroup object. Grabs added with `gtk_grab_add()` only affect windows within the same GtkWindowGroup.

#### Returns

a new GtkWindowGroup.

### gtk_window_group_add_window ()

    void
    gtk_window_group_add_window (GtkWindowGroup *window_group,
                                 GtkWindow *window);

Adds a window to a GtkWindowGroup.

#### Parameters

window_group | a GtkWindowGroup |
window | the GtkWindow to add |

### gtk_window_group_remove_window ()

    void
    gtk_window_group_remove_window (GtkWindowGroup *window_group,
                                    GtkWindow *window);

Removes a window from a GtkWindowGroup.

#### Parameters

window_group | a GtkWindowGroup |
window | the GtkWindow to remove |

### gtk_window_group_list_windows ()

    GList *
    gtk_window_group_list_windows (GtkWindowGroup *window_group);

Returns a list of the GtkWindows that belong to `window_group` .

#### Parameters

window_group | a GtkWindowGroup |

#### Returns

A newly-allocated list of windows inside the group.

[element-type GtkWidget][transfer container]

Since 2.14

### gtk_window_group_get_current_grab ()

    GtkWidget *
    gtk_window_group_get_current_grab (GtkWindowGroup *window_group);

#### Returns

## Types and Values

### struct GtkWindowGroup

    struct GtkWindowGroup;